Delete specific RICAL
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/ricals/{ricalIssueId}Deletes a specific RICAL from the requested ecosystem by providing the RICAL version identifier. Deleting a RICAL also deletes the verifier policy published from it, if one exists. This action cannot be undone.
A 404 is only returned when the ecosystem does not exist. Deleting a ricalIssueId that does
not exist within an existing ecosystem still returns 204.
Analytic events
- ECOSYSTEM_RICAL_DELETE_START
- ECOSYSTEM_RICAL_DELETE_SUCCESS
- ECOSYSTEM_RICAL_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the ecosystem
uuidUnique identifier of a specific RICAL version. This numeric value is continuously increased whenever a RICAL is created.
int32Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/1337"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve latest RICAL GET
Retrieves the latest RICAL from the requested ecosystem. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * ECOSYSTEM_RICAL_RETRIEVE_LATEST_START * ECOSYSTEM_RICAL_RETRIEVE_LATEST_SUCCESS * ECOSYSTEM_RICAL_RETRIEVE_LATEST_FAIL
Update RICAL configuration PUT
Update the RICAL configuration for the requested ecosystem. A RICAL configuration is required in order for RICALs to be created. ### **Analytic events** * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_START * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_SUCCESS * ECOSYSTEM_RICAL_CONFIGURATION_UPSERT_FAIL